#include<bits/stdc++.h>
using namespace std;
int a,b;
char c,d;
string s;
int main(){
    cin>>c>>d;
    cin>>a>>b;
    if((abs(a-b))>1)cout<<"nemoguce"<<endl;
    else if(abs(a-b)==0){
        for(int i=1;i<=a+b;i++){
            if(i%2==0)printf("%c",d);
            else printf("%c",c);
        }
        cout<<endl;
    }
    else if(a-b==1){
        for(int i=1;i<=a+b;i++){
            if(i%2==0)printf("%c",d);
            else printf("%c",c);
        }
        cout<<endl;
    }
    else{
        for(int i=1;i<=a+b;i++){
            if(i%2==0)printf("%c",c);
            else printf("%c",d);
        }
        cout<<endl;
    }

    return 0;
}